{% extends 'base.html' %}
{% load custom_tags %}
{% block nav-proyecto %}
    <li class="nav-item active">
        <a class="nav-link" href="{% url 'Proyecto:index' %}">Proyecto <span class="sr-only">(current)</span> </a>
    </li>
{% endblock %}
{% block content %}
    <div class="container mb-5">
        <div class="py-5 text-center ">
            <h1 class="text-light"> Lista de Usuarios para Reemplazar</h1>
        </div>

        <div class="bg-light border rounded border-dark ">

            <div class="input-group">
                <input type="text" id="buscarUsuario" onkeyup="buscarTabla('buscarUsuario','tablaUsuario')"
                       placeholder="Buscar por nombre"
                       title="Type in a name" class="form-control m-3" aria-describedby="inputGroup-sizing-lg">
                <a class="btn btn-outline-secondary m-3" type="button"
                   href="{% url 'Proyecto:eliminarMiembros' idProyecto miembroPorEliminarId %}">Volver</a>

            </div>
            <div class="alert alert-warning d-flex align-items-center" role="alert">
                <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Warning:">
                    <use xlink:href="#exclamation-triangle-fill"/>
                </svg>
                <div>
                    Observación : Solo apareceran miembros del proyecto que esten activos.
                </div>
            </div>
            <table class="table table-hover" id="tablaUsuario">
                <thead class="thead-dark">
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">Nombre</th>
                    <th scope="col">Apellido</th>
                    <th scope="col">Correo electronico</th>
                    <th scope="col">Acción</th>
                </tr>
                </thead>
                <tbody>
                {% if listaDeUsarios %}
                    {% for u in listaDeUsarios %}
                        {% if u|esMiembroElegible:idProyecto %}
                            {% if not u|esEsteMiembro:miembroPorEliminar %}
                                <tr>
                                    <th scope="row">{{ u.id }}</th>
                                    <td>{{ u.extra_data.given_name }}</td>
                                    <td>{{ u.extra_data.family_name }}</td>
                                    <td>{{ u.extra_data.email }}</td>
                                    <td>

                                        <form method="POST" action="">
                                            {% csrf_token %}
                                            <div class="btn-group">
                                                <a href="{% url 'Proyecto:cambioDeMiembroAlEliminar' idProyecto miembroPorEliminarId u.user_id PP.id %}" role="button">Reemplazar</a>
                                            </div>
                                        </form>
                                    </td>
                                </tr>
                            {% endif %}
                        {% endif %}
                    {% endfor %}
                {% endif %}
                </tbody>

            </table>
        </div>
    </div>
{% endblock %}